<?php
    require_once("../includes/clase_sesion.php");
    $sesion=new sesion(); // inicio la sesion
    require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	$sede=$_POST['sede'];
	$cnd= (!empty($_REQUEST['cmpcnd'])) ?  " AND " . $_REQUEST['cmpcnd'] : '';
	
	
	$sel= (!empty($_REQUEST['selec'])) ?  $_REQUEST['selec'] : '';
	$est=(!empty($_REQUEST['cons'])) ? 1 : 0; // para saber que consulta vamos a realizar si la hacemos teniendo en cuanta los estudiantes o solamentes los grupo que pertenecen a una sede
	$jornada=(!empty($_REQUEST['cd_jor'])) ? $_REQUEST['cd_jor'] : '';
	if($est==0){
		$cons="SELECT
		aux_grados.cod_grado
		, aux_grados.nom_grado
		, aca_grupos.cod_grupo
		, aux_nombres_grupos.$nombre_grupo as grupo
	FROM
		aca_grupos
		INNER JOIN aux_grados 
			ON (aca_grupos.cod_grado = aux_grados.cod_grado)
		INNER JOIN aux_nombres_grupos 
			ON (aca_grupos.cod_nom_grupo = aux_nombres_grupos.cod_nom_grupo) WHERE cod_grupo IN(SELECT pag_estudiantes_adm.cod_grupo FROM pag_estudiantes_adm WHERE pag_estudiantes_adm.cod_sede=$sede and aca_grupos.finalizado=0 $cnd) ORDER BY aux_grados.orden , aux_nombres_grupos.$nombre_grupo";
	}else{
		$cons="SELECT aux_grados.cod_grado, aca_grupos.cod_grupo , aux_grados.nom_grado , aux_nombres_grupos.$nombre_grupo as grupo
FROM
    aca_grupos
    INNER JOIN aux_nombres_grupos 
        ON (aca_grupos.cod_nom_grupo = aux_nombres_grupos.cod_nom_grupo)
    INNER JOIN aux_grados 
        ON (aca_grupos.cod_grado = aux_grados.cod_grado) WHERE aca_grupos.cod_sede=$sede AND aca_grupos.cod_jornada='$jornada' and aca_grupos.finalizado=0 ORDER BY aux_grados.`orden`, aux_nombres_grupos.`cod_nom_grupo`";
	}
//	echo $cons;
	$academia->instruccion($cons);
	$curso="";
	$ban=0;	
	#echo "<option value='0x'>$cons</option>";
	echo "<option value='0x'>Seleccionar...</option>";
	while($reg=$academia->extraer_registro()){		
		
		if($curso!=$reg['cod_grado']){
			if($ban!=0){
				echo "</optgroup>";
				$ban=0;
			}
			echo '<optgroup label="'.$reg['nom_grado'].'">';
			$ban=1;
		}
		if(trim($reg['cod_grupo'])==trim($sel))
			echo "<option value='".$reg['cod_grupo']."' selected='selected'>".$reg['grupo']."</option>";	
		else
			echo "<option value='".$reg['cod_grupo']."'>".$reg['grupo']."</option>";		
		$curso=$reg['cod_grado'];
	}
	$academia->liberar();
	$academia->cerrar();
?>